cURL
curl --request PUT \ --url https://api.supernotes.app/v1/user/bio-and-pic \ --header 'Api-Key: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "bio": "<string>", "photo": "<string>" } '
{ "public_profile": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "username": "<string>", "first_name": "<string>", "last_name": "<string>", "bio": "<string>", "photo": "<string>" } }
Update a public user’s profile bio and image
Documentation IndexFetch the complete documentation index at: https://developer.supernotes.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
Use this file to discover all available pages before exploring further.
256
2048
Successful Response
Show child attributes